A package with publisher 'Microsoft', name 'Base Application', and a version compatible with '15.0.0.0' could not be found

Hi Expert 
  I am trying to create package from AL files .After create project with my Dynamics 365 BC credential in VS code .It's generate App.json file . When i try to build my project it's showing below error ,  
  
Problem :

A package with publisher 'Microsoft', name 'Base Application', and a version compatible with '15.0.0.0' could not be found in the package cache folder 'c:\Users\surajit\Documents\AL\ALProject2\./.alpackages'
OutPuts : 
[2019-11-09 17:25:03.07] Using reference symbols cache path: c:\Users\surajit\Documents\AL\ALProject2\./.alpackages
[2019-11-09 17:25:03.09] Sending request to api.businesscentral.dynamics.com/.../packages Application&versionText=15.0.0.0
Microsoft (R) AL Compiler version 4.0.2.60812
Copyright (C) Microsoft Corporation. All rights reserved

Compilation started for project 'ALProject2' containing '1' files at '17:25:3.960'.

error AL1022: A package with publisher 'Microsoft', name 'Base Application', and a version compatible with '15.0.0.0' could not be found in the package cache folder 'c:\Users\surajit\Documents\AL\ALProject2\./.alpackages'

Compilation ended at '17:25:3.976'.

Error: The package could not be created.
AppJson :
{
  "id""2813f98c-6390-4d0c-a1de-40267d42cf14",
  "name""ALProject2",
  "publisher""Default publisher",
  "version""1.0.0.0",
  "brief""",
  "description""",
  "privacyStatement""",
  "EULA""",
  "help""",
  "url""",
  "logo""",
  "dependencies": [
    {
      "appId""63ca2fa4-4f03-4f2b-a480-172fef340d3f",
      "publisher""Microsoft",
      "name""System Application",
      "version""1.0.0.0"
    },
    {
      "appId""437dbf0e-84ff-417a-965d-ed2bb9650972",
      "publisher""Microsoft",
      "name""Base Application",
      "version""15.0.0.0"
    }
  ],
  "screenshots": [],
  "platform""15.0.0.0",
  "idRanges": [
    {
      "from"55000,
      "to"55100
    }
  ],
  "contextSensitiveHelpUrl""">https://ALProject2.com/help/",
  "showMyCode"true,
  "runtime""4.0"
}
 
  Please suggest what is the issue ?
Thanks
Surajit Kundu
Parents
No Data
Reply
  • The package cache is where AL looks for the references to the objects in the dependent apps. This is also called 'symbols'. If the symbols are not in the package cache, you need to download them, so run the 'download symbols' command from the command palette. Normally when you create a new AL workspace, you already have a container or a service tier set up as the target, which is defined in your launch.json file. 

Children
No Data
Related
Recommended